<!DOCTYPE html>
<html lang="ja">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
  <title>Todo アプリ</title>
</head>
<body>
  <div class="container">
    <div class="card">
      <div class="card-header bg-info text-white text-center">ログイン</div>
      <div class="card-body bg-light">
        <form name = "login_form" onsubmit="login();return false;">
          <div class="form-group">
            <label class="control-label card-title">メールアドレス</label>
            <input name="email" class="form-control" type="text">
          </div>
          <div class="form-group">
            <label class="control-label card-title">パスワード</label>
            <input name="password" class="form-control" type="text">
          </div>
          <input type="submit" class="btn btn-info btn-lg mx-auto d-block" value="ログイン"/>
        </form>
      </div>
    </div>
    <div>
      <br>
      <button class="btn btn-success btn-lg mx-auto d-block" onclick="location.href='signup.html'">新規登録</button>
    </div>
  </div>
</body>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"  crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
<script>
function login(){
  var url = "http://localhost:8080/login";
  var email = document.login_form.email.value;
  var password = document.login_form.password.value;
  $.ajax({
    url : url,
    method : "POST",
    data : {email : email, password : password},
    xhrFields: {
       withCredentials: true
    }
  }).done(
    function(data){
      document.cookie = 'sessionId=' + data;
      location.href = "index.html";
  }).fail(
    function(){
      alert("ログインに失敗しました。");
  })

}
</script>
</html>
